package com.tuoheng.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务异常 枚举
 *
 * @Author xiaoying
 * @Date 2023/3/10 9:33
 */
@AllArgsConstructor
public enum ServiceExceptionEnum implements ExceptionInterface {

    /**
     * 未查询到数据
     */
    GET_NO_DATA(10001, "未查到该记录！"),
    /**
     * 获取不到当前用户信息
     */
    NO_DATA_USER(10000,"获取不到当前用户信息!"),
    /**
     * 参数为空
     */
    PARAMETER_IS_NULL(10002, "参数为空！"),
    /**
     * 有效期已过
     */
    EXPIRATION_DATE(11111, "该账号已过有效期,请先更改有效期再启用账号");


    @Getter
    private final int code;

    @Getter
    private final String message;
}
